
"use client";
import React, { JSX, useState } from "react";
import ArticleGenerator from "./ArticleGenerator";
import ArticleTypeSelector from "./ArticleDropdown";
import TitleTypeSelector from "./TitleTypeSelector";
import CodeTypeSelector from "./CodeTypeSelector";
// import TitleGenerator from "./TitleGenerator";
// import CodeConverter from "./CodeConverter";

const ToolSelector = () => {
  const [selectedTool, setSelectedTool] = useState<JSX.Element | null>(null);

  return (
    <section className="featured-section" style={{ 
             
        margin: "-20px 0" 
    }}>
      <div className="container text-center">
        {/* <div style={{ 
             
            padding: "50px 0" 
        }}></div> */}
        <div className="row justify-content-center">
        <h2 className="text-white">Select a Tool</h2>
        <div className="col-md-4">
            <button
              className="btn btn-primary w-100" style={{ 
             
                margin: "10px 0" }}
              onClick={() =>
                setSelectedTool(
                  <div className="col-md-11"style={{ 
             
                    margin: "140px 0" }}>
                      <div className="row justify-content-center" >

                      <ArticleTypeSelector />
                      <ArticleGenerator />
                    </div>
                    {/* <div className="col-md-6">
                    
                    </div> */}
                  </div>
                )
              }
            >
              Article Generator
            </button>
          </div>
          <div className="col-md-4">
            <button
              className="btn btn-secondary w-100"
              onClick={() =>
                setSelectedTool(
                    <div className="col-md-11"style={{ 
             
                        margin: "140px 0" }}>
                          <div className="row justify-content-center" >
    
                          <TitleTypeSelector />
                          <ArticleGenerator />
                        </div>
                        {/* <div className="col-md-6">
                        
                        </div> */}
                      </div>
                )

              }
            >
              Title Generator
            </button>
          </div>
          <div className="col-md-4">
            <button
              className="btn btn-success w-100" style={{ 
             
                margin: "10px 0" }}
              onClick={() =>
                setSelectedTool(
                    <div className="col-md-11"style={{ 
             
                        margin: "140px 0" }}>
                          <div className="row justify-content-center" >
    
                          <CodeTypeSelector />
                          <ArticleGenerator />
                        </div>
                        {/* <div className="col-md-6">
                        
                        </div> */}
                      </div>
                    )
                }
              >
                Code Converter
              </button>
            </div>
        </div>

        <div className="mt-4">
          {selectedTool}
        </div>
      </div>
    </section>
  );
};

export default ToolSelector;
